using System;
using NUnit.Framework;

namespace Smdn.Net.Imap4 {
  [TestFixture]
  public class ImapQuotaTests {
    [Test]
    public void TestQuotaResourceListProperties_ReadOnly()
    {
#if !NET_4_5
      var quota = new ImapQuota("root", new[] {new ImapQuotaResource("storage", 42L)});

      Assert.IsTrue(quota.Resources.IsReadOnly, "Resources");

      Assert.Throws<NotSupportedException>(() => quota.Resources.Clear(), "Resources");
#endif
    }

    [Test]
    public void TestQuotaResourceListProperties_NonNull()
    {
      var quota = new ImapQuota("root", null);

      CollectionAssert.IsEmpty(quota.Resources, "Resources");
    }

    [Test]
    public void TestToString()
    {
      var quota = new ImapQuota("root", new[] {new ImapQuotaResource("storage", 42L)});

      Assert.DoesNotThrow(() => quota.ToString());
    }
  }
}

